# Uses of Interface
com.usatiuk.objects.JDataVersionedWrapper

Packages that use JDataVersionedWrapper
Package
Description
com.usatiuk.objects
com.usatiuk.objects.stores

## Uses of JDataVersionedWrapper in com.usatiuk.objects

Classes in com.usatiuk.objects that implement JDataVersionedWrapper
Modifier and Type
Class
Description
`final record`
`JDataVersionedWrapperImpl`
`final class`
`JDataVersionedWrapperLazy`
Methods in com.usatiuk.objects that return JDataVersionedWrapper
Modifier and Type
Method
Description
`JDataVersionedWrapper`
JDataVersionedWrapperSerializer.`deserialize(ByteBuffer data)`
`default JDataVersionedWrapper`
JDataVersionedWrapper.`value()`
Methods in com.usatiuk.objects with parameters of type JDataVersionedWrapper
Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
JDataVersionedWrapperSerializer.`serialize(JDataVersionedWrapper obj)`

## Uses of JDataVersionedWrapper in com.usatiuk.objects.stores

Methods in com.usatiuk.objects.stores that return JDataVersionedWrapper
Modifier and Type
Method
Description
`JDataVersionedWrapper`
PendingWrite.`value()`
Returns the value of the `value` record component.
Methods in com.usatiuk.objects.stores that return types with arguments of type JDataVersionedWrapper
Modifier and Type
Method
Description
`Snapshot<JObjectKey,JDataVersionedWrapper>`
CachingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
SerializingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
WritebackObjectPersistentStore.`getSnapshot()`
Method parameters in com.usatiuk.objects.stores with type arguments of type JDataVersionedWrapper
Modifier and Type
Method
Description
`void`
CachingObjectPersistentStore.`commitTx(TxManifestObj<? extends JDataVersionedWrapper> objs, long txId)`
Constructors in com.usatiuk.objects.stores with parameters of type JDataVersionedWrapper
Modifier
Constructor
Description
``
`PendingWrite(JDataVersionedWrapper value, long bundleId)`
Creates an instance of a `PendingWrite` record class.